### Method

# Clutter TextBuffer get_max_length

#### Declaration [src]

    gint
    clutter_text_buffer_get_max_length (
      ClutterTextBuffer* buffer
    )

#### Description [src]

Retrieves the maximum allowed length of the text in `buffer`. See `clutter_text_buffer_set_max_length()`.

Gets property | `Clutter.TextBuffer:max-length`

#### Return value

Type: `gint`

The maximum allowed number of characters in `ClutterTextBuffer`, or 0 if there is no maximum.